--- debathena-machtype-9.4.0.orig/debian/compat
+++ debathena-machtype-9.4.0/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-machtype-9.4.0.orig/debian/control.in
+++ debathena-machtype-9.4.0/debian/control.in
@@ -0,0 +1,12 @@
+Source: debathena-machtype
+Section: net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-machtype
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Print Athena machine type to standard output
+ Print CPU type and hardware configuration information.
--- debathena-machtype-9.4.0.orig/debian/copyright
+++ debathena-machtype-9.4.0/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-machtype-9.4.0.orig/debian/control
+++ debathena-machtype-9.4.0/debian/control
@@ -0,0 +1,12 @@
+Source: debathena-machtype
+Section: net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1)
+Standards-Version: 3.7.2
+
+Package: debathena-machtype
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Print Athena machine type to standard output
+ Print CPU type and hardware configuration information.
--- debathena-machtype-9.4.0.orig/debian/rules
+++ debathena-machtype-9.4.0/debian/rules
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+  
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += lbindir=/bin
+
+clean::
+	rm -f configure
--- debathena-machtype-9.4.0.orig/debian/patches/series
+++ debathena-machtype-9.4.0/debian/patches/series
@@ -0,0 +1 @@
+machtype-lspci-path.patch
--- debathena-machtype-9.4.0.orig/debian/patches/machtype-lspci-path.patch
+++ debathena-machtype-9.4.0/debian/patches/machtype-lspci-path.patch
@@ -0,0 +1,22 @@
+Index: debathena-machtype-9.4.0/machtype_linux.sh
+===================================================================
+--- debathena-machtype-9.4.0.orig/machtype_linux.sh	2007-01-30 22:38:29.000000000 -0500
++++ debathena-machtype-9.4.0/machtype_linux.sh	2007-01-30 22:46:18.000000000 -0500
+@@ -19,7 +19,7 @@
+ #  -P     : print out Athena System packs (from /srvd/.rvdinfo)
+ #  -S     : Print out the Athena System name
+ 
+-PATH=/bin:/usr/bin:/usr/sbin
++PATH=/bin:/usr/bin:/sbin:/usr/sbin
+ 
+ while getopts cdk:m:rvACELMNPS i; do
+ 	case "$i" in
+@@ -133,7 +133,7 @@
+ fi
+ 
+ if [ $display ] ; then
+-        /sbin/lspci | awk -F: '/VGA/ {print $3}' | sed -n -e 's/^ //' -e p
++	lspci | awk -F: '/VGA/ {print $3}' | sed -n -e 's/^ //' -e p
+ 	printed=1
+ fi
+ 
--- debathena-machtype-9.4.0.orig/debian/changelog
+++ debathena-machtype-9.4.0/debian/changelog
@@ -0,0 +1,5 @@
+debathena-machtype (9.4.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:36:52 -0500
